Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class StackFrame

    java.lang.Object
      net.sf.saxon.expr.StackFrame

    public class StackFrame

extends java.lang.Object

This class represents a stack frame holding details of the variables used in a function or in an XSLT template.

Field Summary
`static StackFrame` | `EMPTY`
`protected SlotManager` | `map`
`protected ValueRepresentation[]` | `slots`

Constructor Summary
`StackFrame(SlotManager map, ValueRepresentation[] slots)`

Method Summary
`SlotManager` | `getStackFrameMap()`
`ValueRepresentation[]` | `getStackFrameValues()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    protected SlotManager map

### slots

    protected ValueRepresentation[] slots

### EMPTY

    public static final StackFrame EMPTY

Constructor Detail

### StackFrame

    public StackFrame(SlotManager map,
                      ValueRepresentation[] slots)

Method Detail

### getStackFrameMap

    public SlotManager getStackFrameMap()

### getStackFrameValues

    public ValueRepresentation[] getStackFrameValues()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.